import { DotType, GetNeighbor, DrawArgs, BasicFigureDrawArgs, RotateFigureArgs, Window } from "../../types";
export default class QRDot {
    _element?: SVGElement;
    _svg: SVGElement;
    _type: DotType;
    _window: Window;
    constructor({ svg, type, window }: {
        svg: SVGElement;
        type: DotType;
        window: Window;
    });
    draw(x: number, y: number, size: number, getNeighbor: GetNeighbor): void;
    _rotateFigure({ x, y, size, rotation, draw }: RotateFigureArgs): void;
    _basicDot(args: BasicFigureDrawArgs & {
        margin?: number;
    }): void;
    _basicSmallDot(args: BasicFigureDrawArgs): void;
    _basicSquare(args: BasicFigureDrawArgs & {
        margin?: number;
    }): void;
    _basicSideRounded(args: BasicFigureDrawArgs): void;
    _basicCornerRounded(args: BasicFigureDrawArgs): void;
    _basicCornerExtraRounded(args: BasicFigureDrawArgs): void;
    _basicCornersRounded(args: BasicFigureDrawArgs): void;
    _basicRectangle(args: BasicFigureDrawArgs & {
        margin?: number;
    }): void;
    _basicRectangleRounded(args: BasicFigureDrawArgs & {
        margin?: number;
    }): void;
    _drawDot({ x, y, size }: DrawArgs): void;
    _drawSquare({ x, y, size }: DrawArgs): void;
    _drawRounded({ x, y, size, getNeighbor }: DrawArgs): void;
    _drawExtraRounded({ x, y, size, getNeighbor }: DrawArgs): void;
    _drawClassy({ x, y, size, getNeighbor }: DrawArgs): void;
    _drawClassyRounded({ x, y, size, getNeighbor }: DrawArgs): void;
    _drawCircleZebra({ x, y, size, getNeighbor }: DrawArgs): void;
    _drawMosaic({ x, y, size, getNeighbor }: DrawArgs): void;
    _drawCircleZebraVertical({ x, y, size, getNeighbor }: DrawArgs): void;
}
